PyroMark Assay Design Software

PyroMark Assay Design Software is a tool for designing PCR and sequencing primers for Pyrosequencing assays. Four different assay types can be designed; "Genotyping (SNP)", "Allele Quantification (AQ)", "Sequence Analysis (SQA)", and "Methylation Analysis (CpG)". The software supports assay design for di-, tri-, and tetra-allelic single nucleotide polymorphisms, point mutations, CpG sites, unknown sequences, and insertions and deletions (InDels).

Assay design workflow

  1. Set up an assay
    Create an assay file of the desired assay type, enter or import a DNA sequence, and set the target region (only required for CpG assays). If desired, you can also set PCR primer regions and assign names to the variable positions to be analyzed.

  2. Run automatic assay design
    Run an automatic assay design to generate primer sets that fulfill the specific requirements of Pyrosequencing analysis. You can either run an automatic assay design on the current assay or on all open assays. It is also possible to reuse one or two primers from a previous assay and generate matching primers, or enter a complete primer set and have it analyzed by the software.

  3. View results and select a final primer set
    When the assay design is completed, the resulting primer sets with their scores and quality are displayed in the "Primer Set" area. The primer set with the highest score is automatically selected as the final primer set (can be changed if desired). A report with detailed information about the selected primer set, can be viewed, saved, and printed. Two report formats are available: "Complete Results" and "Summary".

In the "Final Primer Set" tab, it is possible to change the IDs of the primers included in the final primer set, edit the creator of the assay, and add notes about the assay.

  4. Save the assay
    The assay can now be imported and used in other Pyrosequencing software.

Trademarks: QIAGEN®, HotStarTaq®, Pyrosequencing®, Pyrogram® (QIAGEN Group); Windows® (Microsoft Corporation); GENBANK® (U.S. Department of Health and Human Services).

© 2009 QIAGEN, all rights reserved.


Pyrosequencing Analysis

PyroMark Assay Design Software generates primer sets (PCR and sequencing primers) that fulfill the specific requirements of Pyrosequencing analysis. Depending on the chosen assay type, the software carries out a number of analysis steps (see the Analysis steps section). Any potential problems detected in these analysis steps will generate penalties. The weighted sum of the penalties is used to calculate a total score for each primer set, and the result is a list of primer set candidates with their scores for quality and suitability for PCR and Pyrosequencing analysis.

Within a given sequence, high-scoring primer sets have a higher probability of success during PCR and Pyrosequencing analysis than lower-scoring primer sets. In a high-quality primer set, a set with a blue left column, none of the performed analysis steps have identified any problems or concerns and can therefore be used directly without further checks or analyses. For more information, see the Scoring and quality section.

A number of parameters are taken into account when using PyroMark Assay Design Software to generate primer sets. The software always tries to achieve the set optimal conditions when designing the primer sets. Primer sets where the conditions deviate significantly from the set optimal conditions will get a higher penalty, and thereby a lower total score and quality. Many parameters, for example the target distance, can be changed in the software using the "Current Assay Settings" or the "Default Assay Settings" dialog box.

Warnings and penalties

Primers that are automatically generated by the software are always within the parameters defined in the default assay settings. However, if the primers deviate too much from the target settings, penalties and sometimes warnings are issued. Warnings and/or penalties are also issued if the software detects non-favorable conditions, such as secondary structures, in an analysis step.

A potentially severe structure in an analysis step is indicated by a penalty >50, which will generate a warning. The higher the penalty, the greater the risk of problems. If an individual analysis step is given a penalty = 100, the problem is considered serious enough to set the whole primer set score to 0. Penalties lower than 50 are, in general, nothing to be concerned about.

Primers that are edited or added manually receive warnings and/or penalties when parameters outside the default assay settings are detected, in addition to the warnings and penalties described above.


Analysis steps

The following analyses are performed by the software when designing PCR primers and sequencing primers:

  • Primer set analyses

  • PCR primer pair analyses

  • Individual PCR primer analyses

  • Sequencing primer analyses

For more detailed information about the analysis steps, see the table below.

Analysis

Description

Amplicon Length

Calculates the deviation of the actual amplicon length from the optimal range.

A-nucleotide

Checks for A-nucleotides in the variable positions in the target region. If one or more A-nucleotides are available in the variable positions, primers that result in the incorporation of T will be favored over primers resulting in incorporation of A.

A-nucleotide analysis is only performed on AQ and CpG assays.

Complementarity

Analyzes the level of complementarity between the primer and its annealing site. Non-complementarity is penalized more for the 3' end of the primer than for the 5' end.

Duplex Formation

Detects possible primer duplex formations, which can cause background signals in Pyrosequencing analysis. Primarily extendable duplexes, in other words duplexes that are complementary in the 3' end, are penalized.

GC Content

Calculates the difference in GC content between the forward and the reverse PCR primer and between the PCR primers and the amplicon.

Hairpin Loop

Detects possible primer hairpin structures that can cause background signals in Pyrosequencing analysis.

Homopolymer

Detects if the variable positions in the target region have adjacent homopolymeric sequences. Sequencing primers annealing over the homopolymeric region are favored as the homopolymeric sequence effect is reduced.

Melting Temperature

Calculates the deviation of the melting temperature of each primer from the optimal melting temperature. By default, the melting temperature algorithm used is the "Nearest Neighbor" for all assay types except for CpG that uses the "NN Mismatch" algorithm. For more information, see the Melting temperature section.

Melting Temperature Difference

Calculates the deviation of the actual Tm difference between the forward and the reverse PCR primer from the optimal Tm difference range.

Mispriming

Detects alternative annealing sites for each PCR primer on the entered sequence (and reverse complementary sequence).

Detects alternative annealing sites for each sequencing primer within the amplicon. Mispriming will only be detected on the biotinylated strand (as the non-biotinylated strand is removed during the sample preparation phase).

Primer End Stability

Calculates the relative stability (Gibbs free energy) difference between a primer's 5' and 3' end. The PCR primer specificity increases if the 5' end is more stable than the 3' end.

Primer Length

Calculates the deviation of the actual length from the optimal primer length. If a manually entered primer is shorter than the minimum setting, it receives a warning but the primer score is not affected.

Target Distance

Calculates the distance between the sequencing primer and the target region. If a manually entered primer is outside the target distance, it receives a warning but the primer score is not affected.

Template Loop

Detects possible loop structures in the biotinylated strand (the template sequence), which may cause background signals in Pyrosequencing analysis.

An extra A is automatically added to the 3' end of the amplicon for an additional template loop check, as Taq polymerase sometimes adds an extra A to the 3' end of the amplicon during PCR.


Assay design parameters

The following assay parameters can be modified in the "Default Assay Settings" dialog box and the "Current Assay Settings" dialog box; see the Change assay design settings section. Many of the parameters have an allowed range, within which primers are generated but given a penalty (i.e., a decreased score), and an optimal range within which they are generated without penalty. How each setting affects a primer set score is described below.

PCR primer parameters

Parameter

Description

Min/Max Primer Length [nt]

Minimum and maximum length of the PCR primers to be generated.

This analysis step may result in warning messages for short primers, but does not affect the primer set scores.

Optimal Amplicon Length From/To [nt]

Lower and upper limit of the optimal amplicon range.

Amplicons outside the range, but shorter than the maximum length (see below), are generated but given a penalty that increases linearly (outside the optimal amplicon range).

Max Amplicon Length [nt]

Maximum allowed length of the amplicon.

See "Optimal Amplicon Length" above.

Allow Primer Over SNP

If the box is checked, a PCR primer is allowed to overlap up to two SNPs or variable positions located within the 5'-end half of the PCR primer.

No penalty is associated.

Allow Primer Over Variable Position (only CpG assays)

If the box is checked, a PCR primer is allowed to overlap one SNP or variable position located within the 5'-end half of the PCR primer.

No penalty is associated.

Melting Temperature Algorithm

Select the algorithm for calculation of the melting temperature (Tm) of the PCR primer. For more information, see the Melting temperature section.

Primer Concentration [µM]

Primer concentration used in the PCR reaction. The primer concentration affects the Tm calculations.

Min/Max Melting Temperature [°C]

Minimum and maximum melting temperature of the PCR primers.

Primers with Tm in the middle of the set range ±3°C, are generated without penalty (e.g., 71°C is the middle of the set range 56–86°C, which means that Tm between 68–74°C do not get penalized). Primers outside the optimal Tm range, but within the set minimum and maximum temperatures, are generated but given a penalty that increases linearly.

Max Allowed Tm difference [°C]

Maximum allowed Tm difference between the forward and the reverse PCR primer.

PCR primers with Tm differences within the optimal range, 0–2°C, are generated without penalty. Primers with Tm differences higher than 2°C, but lower than the set maximum value, are generated but given a penalty that increases linearly with Tm difference.

Max GC Difference [%]

Maximum allowed GC difference between the forward and the reverse PCR primer and between a PCR primer and the amplicon.

PCR primers with GC differences within the optimal range, 0–10%, are generated without penalty. Primers with GC differences higher than 10%, but lower than the set maximum value, are generated but given a penalty that increases linearly with GC difference.

Sequencing primer parameters

Parameter | Description
Min/Max Primer Length [nt] | Minimum and maximum sequencing primer length. This analysis step can result in warning messages for short primers, but does not affect the primer set scores.
Min/Max Distance From Target [nt] | Minimum and maximum distance between the sequencing primer and the target region. Sequencing primers within the set minimum and maximum distance from the target region are generated without penalties.
Allow Primer Over SNP/Variable Position | If the box is checked, a sequencing primer is allowed to overlap up to two SNPs or variable positions without penalty.
Generate Forward Primers | Check the box to generate forward sequencing primers. No penalty is associated.
Generate Reverse Primers | Check the box to generate reverse sequencing primers. No penalty is associated.
Melting Temperature Algorithm | Select the algorithm for calculation of the melting temperature (Tm) of the sequencing primer. For more information, see the Melting temperature section.
Min/Max Melting Temperature [°C] | Minimum and maximum melting temperature of sequencing primers. Primers with Tm in the middle of the set range ±3°C, are generated without penalty (e.g., 50°C is the middle of the set range 35–65°C, which means that Tm between 47–53°C do not get penalized). Primers outside the optimal Tm range, but within the set minimum and maximum temperatures, are generated but given a penalty that increases linearly.

Primer set parameters

Parameter | Description
Primer Set # | Number of primer sets to be listed in the "Primer Set" area. Note: The number of primer sets listed is tightly linked to the number of sets that are generated and analyzed. Thus, if the number of shown primers is lowered, fewer primer sets will also be generated, possibly decreasing the chance of finding a high-scoring primer set.

Buttons

Button | Description
Get Factory | Click to get the factory settings.
Get Default | Click to get the latest default settings. (This button is only available in the "Current Assay Settings" dialog box.)
Set As Default | Click to save the entered settings as default settings.
OK | Click to apply the settings to the current assay. (This button is only available in the "Current Assay Settings" dialog box.)
Cancel | Click to cancel any changes made and close the dialog box.


Melting temperature

The melting temperature of a primer depends, among other things, on salt concentration, strand concentration, sequence, and length. For PCR and sequencing primers, one of three algorithms can be selected for calculation of Tm: "Nearest Neighbor", "NN Mismatch", or "AT*2+GC*4". By default, the "Nearest Neighbor" algorithm is used for all assay types except for CpG that uses the "NN Mismatch" algorithm.

"Nearest Neighbor" and "NN Mismatch" both depend on salt and primer concentration. The default PCR primer concentration (0.2 µM) can be changed in the "Current Assay Settings" or the "Default Assay Settings" dialog box; see the Change assay design settings section.

The three algorithms result in different melting temperatures. If the factory settings are changed, ensure that the "Min/Max Melting Temperature" settings are adjusted to match the selected algorithm. We recommend that the "Min Melting Temperature" and "Max Melting Temperature" for are set to:

  • 56°C and 86°C respectively for PCR primers and 35°C and 65°C respectively for sequencing primers when using the "Nearest Neighbor" algorithm, and

  • 50°C and 72°C respectively for PCR primers and 29°C and 59°C respectively for sequencing primers when using the "NN Mismatch" algorithm; see the Change assay design settings section.

Nearest Neighbor

The melting temperature (Tm) of an oligonucleotide duplex is calculated using the nearest neighbor model's thermodynamics approach1,2 and the following equation:

ΔH | Enthalpy for helix formation.
ΔS | Entropy for helix formation.
R | Molar gas constant (1.987 cal/°C × mol).
C | Concentration of the probe.
M | Molar concentration of monovalent cations.

Values of ΔH and ΔS calculations use thermodynamic data from Breslauer et al. 1986.3

NN Mismatch

"NN Mismatch" is based on a nearest neighbor model to estimate ΔH and ΔS from the sequence4. The main difference to "Nearest Neighbor" algorithm is that the strand to which the primer actually anneals to is taken into account, so that mismatches and overhangs are treated accordingly. Also, a more accurate thermodynamic data set is used.

Single internal mismatches are handled directly with accurate thermodynamic data4–8. Longer mismatches are handled by estimating the thermodynamic contributions based on the mismatch length9.

The Tm dependence on monovalent cation concentration is also improved10 over the one used in "Nearest Neighbor".

AT*2+GC*4

The "AT*2+GC*4" algorithm adds 2°C for each A and T, and 4°C for each G and C nucleotide. It is a simple but less accurate algorithm for primer Tm calculation. In this approach, the concentration of nucleic acid is not taken into account.

Tm = [(number of A and T bases) × 2°C] + [(number of G and C bases) × 4°C]

References

  1. Rychlik, W., Spencer, W.J., and Rhoads, R.E. (1990) Optimization of the annealing temperature for DNA amplification in vitro. Nucleic Acids Res. 18, 6409.

  2. SantaLucia J Jr. (1998) A unified view of polymer, dumbbell, and oligonucleotide DNA nearest-neighbor thermodynamics. Proc. Natl. Acad. Sci. USA 95, 1460.

  3. Breslauer, K.J., Frank, R., Blöcker, H., and Marky, L. A. (1986) Predicting DNA duplex stability from the base sequence. Proc. Natl. Acad. Sci. USA 83, 3746.

  4. Allwai, H. T. and SantaLucia, J.Jr. (1997) Thermodynamics and NMR of internal G-T mismatches in DNA. Biochemistry 36, 10581.

  5. Allwai, H. T. and SantaLucia, J.Jr. (1998) Nearest neighbor thermodynamic parameters for internal G-A mismatches in DNA. Biochemistry 37, 2170.

  6. Allwai, H. T. and SantaLucia, J.Jr. (1998) Nearest-neighbor thermodynamics of internal A-C mismatches in DNA: Sequence dependence and pH effects. Biochemistry 37, 9435.

  7. Allwai, H. T. and SantaLucia, J.Jr. (1998) Thermodynamics of internal C-T mismatches in DNA. Nucleic Acids Res. 26, 2694.

  8. Peyret, N., Seneviratne, P.A., Allwai, H. T., and SantaLucia, J.Jr. (1999) Nearest-neighbor thermodynamics and NMR of DNA sequences with internal A-A, C-C, G-G, and T-T mismatches. Biochemistry 38, 3468.

  9. SantaLucia, J.Jr. and Hicks, D. (2004) The thermodynamics of DNA structural motifs. Annu. Rev. Biomol. Struct. 33, 415.

  10. Owczarzy, R., Moreira, B.G., You, Y., Behlke, M.A., and Walder, J.A. (2008) Predicting stability of DNA duplexes in solutions containing magnesium and monovalent cations. Biochemistry 47, 5336.


Software Interface

  • Menu bar (A)

  • Assay window (B)

  • Assay overview area (C)

  • "Primer Set" area (D)

  • "Variable Positions" area (E)

The assay window (B) has three or four tabs depending on the assay type. The image shows the tabs for CpG assay design.


Assay window

At the top of the assay window, it is possible to select assay type ("Genotyping (SNP)", "Allele Quantification (AQ)", "Sequence Analysis (SQA)", or "Methylation Analysis (CpG)") and to enter a description for the assay. Here you also find the following buttons:

: Run an assay design for the current assay. While the software is analyzing, the button displays two rotating arrows ( [image]).

: Change the assay design settings for the current assay.

: Stop the ongoing assay design.

: Save the current assay.

: View an assay report with detailed information about the selected primer set, for example the different analyses performed on each primer and primer combinations.

The assay window has three or four tabs depending on the assay type:

  • "Sequence Editor" tab (not available for CpG assays)

  • "Original Sequence Editor" tab (only for CpG assays)

  • "Converted Sequence" tab (only for CpG assays)

  • "Graphic View" tab

  • "Final Primer Set" tab


"Sequence Editor" tab

The "Sequence Editor" tab is available for all assays except for CpG assays. Here you can:

  • Enter the DNA sequence; see the Enter the DNA sequence section. Variable positions are displayed as bold bases.

  • Set the target region for the assay design; see the Set the target region section. The target region is highlighted with a yellow background color.

  • Set PCR primer regions; see the Set PCR primer regions section. The bases included in a PCR region are blue in the sequence.

  • Select where a primer should anneal to the DNA sequence; see the Manually enter a primer set section.

  • Align variable positions; select a position and then select "Assay/Align Positions..." in the menu bar.

The entered sequence is arranged in blocks of ten nucleotides. The position number for the first nucleotide of a row is shown in the column to the left of the sequence. (The image shows the sequence of an SQA assay.)


"Original Sequence Editor" and "Converted Sequence" tabs

The "Original Sequence Editor" and "Converted Sequence" tabs are only available for CpG assays.

In the "Original Sequence Editor" tab you can enter the DNA sequence and select whether bisulfite conversion should be performed on the upper or the lower strand (by checking the box to the left of the desired strand). The sequence after the bisulfite treatment is displayed in the "Converted Sequence" tab.

Variable positions are displayed as bold bases. Converted C nucleotides are displayed as orange bases. These sites are possible positions for bisulfite treatment controls that can be added after the assay has been imported into other Pyrosequencing software.

In the "Converted Sequence" tab, you can:

  • Set the target region for the assay design; see the Set the target region section. The target region is highlighted with a yellow background color.

  • Set PCR primer regions; see the Set PCR primer regions section. The bases included in a PCR region are blue in the sequence.

  • Select where a primer should anneal to the DNA sequence; see the Manually enter a primer set section.

  • Align variable positions; select a position and then select "Assay/Align Positions..." in the menu bar.

The sequence is arranged in blocks of ten nucleotides. The position number for the first nucleotide of a row is shown in the column to the left of the sequence.


"Graphic View" tab

In the "Graphic View" tab, the following information is displayed:

  • General information about the primers in the selected primer set (e.g., primer sequence, length, warnings, and sequence to analyze). If at least one analysis step has identified a problem or potential concern, a warning triangle and an associated warning message will be displayed. Use this as a quick indication of which analysis steps you need to check in the detailed report; see the View, print, and save an assay report section.

  • The primers of the selected primer set together with the entered sequence and its complementary strand. To toggle between viewing and hiding a primer, click the appropriate button to the left of the sequence ( [image], [image], and/or [image]). To toggle between viewing and hiding the PCR primer regions, select "Assay/View/PCR Regions" in the menu bar.

  • Melting temperature and Gibbs free energy graphs. Position the mouse over a bar ( [image]) or a data point ( [image]) and a tooltip will display the Tm or DG value. You can toggle between viewing and hiding the graphs by selecting "Assay/View/Gibbs Free Energy Graph" or "Assay/View/Melting Temperature Graph" in the menu bar.

To zoom in on the sequence and the graphs, select "Assay/Zoom In" in the menu bar. To zoom out, select "Assay/Zoom Out".

In the "Graphic View" tab, you can:

  • Set the target region for the assay design; see the Set the target region section.

  • Set PCR primer regions; see the Set PCR primer regions section.

  • Drag a primer along the sequence or change its length; see the Edit a primer set section.

  • Align variable positions; select a position and then select "Assay/Align Positions..." in the menu bar.

The following colors, icons, and highlight techniques are used in the "Graphic View" tab:

  • Variable positions are highlighted with a light blue background color.

  • The target region is highlighted with a light blue background color and with gray bars above and below the included bases. The names of the variable positions in the target region are displayed in the title bar.

  • In CpG assays, converted C nucleotides are displayed as orange bases. These sites are possible positions for bisulfite treatment controls that can be added after the assay has been imported into other Pyrosequencing software.

  • PCR primer regions are indicated by bars above and below the sequence.

  • The primer arrows ( [image] = forward PCR primer, [image] or [image] = sequencing primer, and [image] = reverse PCR primer) indicate the direction of the corresponding primer. The biotinylated PCR primer is marked with a ring at the 5' end ( [image] or [image]).

  • If any of the analysis steps identified a problem or potential concern, a warning icon ( [image]) is displayed.


"Final Primer Set" tab

In the "Final Primer Set" tab, the primer set selected as the final is displayed. Here it is possible to:

  • Change the IDs of the primers.

  • Edit the creator of the assay.

  • Add notes about the assay.

When importing the sequence from a FASTA, EMBL, or GenBank file, the information in the header line preceding each sequence in the FASTA file or the information in the top rows of the EMBL or GenBank file will automatically be transferred into the "Notes" field in the "Final Primer Set" tab.


Assay overview area

Use the assay overview area, at the top right corner of the software, to:

  • Get an overview of the entire sequence with symbols for variable positions (IUPAC codes or "?"), target regions (" [image] "), primers ( [image] = forward PCR primer, [image] or [image] = sequencing primer, and [image] = reverse PCR primer), and mispriming sites (gray primer arrows). The biotinylated PCR primer is marked with a ring at the 5' end ( [image] or [image]).

  • Quickly navigate to a specific part of the sequence in the "Graphic View" tab. A red square indicates which part of the sequence currently displayed in the "Graphic View" tab.

The assay overview area at the top right corner of the software.


"Primer Set" area

When an assay design is completed, the resulting primer sets are displayed in the "Primer Set" area. Here you can:

  • Select the final primer set using the [image] button; see the View Results and Select a Final Primer Set section.

  • Lock one or two of the primers in a primer set. A rerun of the assay design will then generate different candidates complementing the locked primer(s). Use the blue buttons to toggle between locked and unlocked primers. = locked primer and [image] = unlocked primer.

  • Edit and add new primer sets. Use the [image] button to clear the primer fields at the top of the area, the [image] button to set the sequencing primer direction (the sequencing primer field must be empty), and the [image] button to save a new or modified primer set to the list. See the Edit a primer set and Manually enter a primer set sections.

  • Copy a primer set (right-click and select "Copy Primer Set") and paste it into another assay or into a text editor. It is also possible to copy all primer sets (right-click and select "Copy All Primer Sets") and paste them into a text editor.

  • Delete a primer set; right-click it and select "Delete Primer Set".

  • Open an assay report with detailed information about the selected primer set; double-click the primer set.

Primer set information

Symbol | Description
#1 | Primer set ID.
89 | Primer set score.
 | The primer set is set as the final.
F1 | Forward PCR primer ID.
R1 | Reverse PCR primer ID.
S1 | Sequencing primer ID.

The primer arrows ( [image] = forward PCR primer, [image] or [image] = sequencing primer, and [image] = reverse PCR primer) indicate the direction of the corresponding primer. A ring on the PCR primer arrow indicates that the primer is biotinylated ( [image] or [image]).

The color of the left column indicates the quality of the primer set; see the Scoring and quality section.

The selected primer set is highlighted in light blue, while the primer set that has been selected as the final is surrounded by a gray box.


"Variable Positions" area

Variable positions that are entered in the "(Original) Sequence Editor" tab are automatically displayed in the "Variable Positions" area. This area can be used to:

  • Select the target region for the assay design using the arrows at the bottom of the area ( [image]) and the [image] button; see the Set the target region section.

  • Rename variable positions.

  • Select which allele is to be displayed for each variable position.


Set Up an Assay

  1. Create a new assay file; select "File/New" and then the desired assay type in the menu bar.

  2. Enter a description for the assay in the "Description" field. (Optional.)

  3. Enter the sequence to base the design on in the "(Original) Sequence Editor" tab; see the Enter the DNA sequence section.

  4. If creating a CpG assay, select whether bisulfite conversion should be performed on the upper or the lower strand by checking the box to the left of the desired strand in the "Original Sequence Editor" tab.

  5. Set the target region; see the Set the target region section. (Only required for CpG assays. The target region for AQ, SNP, and SQA assays is automatically set by the software but can, if desired, be modified.)

  6. Set PCR primer regions; see the Set PCR primer regions section. (Optional.)

  7. Assign a name to each variable position to be analyzed; see the Name and align variable positions section. (Optional.)

Tip: It is also possible to base a new assay on a previously saved assay design file; open the file (select "File/Open") and then select "Assay/Clone Assay" in the menu bar.


Enter the DNA sequence

  1. Enter the DNA sequence. There are three ways of entering a sequence in the "(Original) Sequence Editor" tab:

    • Copy and paste a sequence from another assay, from a text editor, or from an Internet browser. To copy a sequence from one assay to another (useful when designing assays for multiple SNPs within the same PCR amplicon), select the sequence, right-click it, and select "Copy Entered Sequence".

    • Import the sequence; see the Import the DNA sequence section.

    • Type the sequence as continuous text in the 5'–3' direction. For more information, see the Allowed characters and rules section.

  2. If the sequence was typed or pasted into the software, press "Enter" to parse it, in other words to get the sequence numbered and the nucleotides in the sequence divided up in blocks of ten.

  3. If the entered sequence includes characters that are not allowed, the first one will be highlighted in red. These characters must be corrected or removed before assay design can be performed. See the Allowed characters and rules section.

  4. If creating a CpG assay, select whether bisulfite conversion should be performed on the upper or the lower strand by checking the box to the left of the desired strand.


Allowed characters and rules

The following rules apply when entering the DNA sequence in the software:

  • Variable positions should be entered using a forward slash "/" (e.g., A/T), the corresponding IUPAC code, or a number of N-nucleotides (unknown sequences).

  • The allowed characters for sequence input are A, C, G, and T as well as IUPAC codes.

  • InDels and STRs (short tandem repeats) should be entered using square bracket notation "[ ]" (e.g., [AT]).

  • The sequence should not include more than 10,000 characters.

  • Variable positions involving a combination of SNPs and InDels should be entered using a combination of "/" and "[ ]". For example, [T/A] represents a tri-allelic polymorphism where the possible alleles are a T, an A, or neither (deletion).

  • Nested variable positions are not supported (e.g., [ATT[C]G]).

If the entered sequence includes characters that are not allowed, the first one will be highlighted in red.

IUPAC codes

A = Adenine | K = T or G
C = Cytosine | W = T or A
G = Guanine | S = C or G
T = Thymine | B = C, T, or G (not A)
U = Uracil | D = A, T, or G (not C)
R = A or G | H = A, T, or C (not G)
Y = C or T | V = A, C, or G (not T)
M = C or A | N = Any base (A, C, G, or T)


Import the DNA sequence

Sequences in FASTA, GenBank, and EMBL format that are saved as text files (*.txt) can be imported into PyroMark Assay Design Software.

To import a DNA sequence into the software:

  1. To create a new assay including the DNA sequence and notes available in the text file, select "File/Import Sequence to New Assay" and then the desired assay type in the menu bar. FASTA files can include multiple sequences for sequential import.

  2. To import the DNA sequence and notes available in the text file into the current assay, click [image] in the assay window.

Note: The [image] button only works for import of one sequence at a time.

  3. In the "Import Sequence" dialog box, locate the sequence to import and click the "Open" button.

  4. If the imported sequence includes characters that are not allowed, the first one will be highlighted in red in the "(Original) Sequence Editor" tab. These characters must be corrected or removed before assay design can be performed.

FASTA format

Using FASTA format, several sequences can be imported sequentially into PyroMark Assay Design Software. For each sequence in the FASTA text file, one assay window will be opened automatically and the respective sequence imported into the field in the "(Original) Sequence Editor" tab. The information in the header line preceding each sequence will be transferred into the "Notes" field in the "Final Primer Set" tab.

Example of a sequence file in FASTA format that includes two sequences.

The information that is transferred into the "Notes" field in the "Final Primer Set" tab when importing the FASTA file above.

EMBL format

Sequences in EMBL format can be imported into PyroMark Assay Design Software one at a time. The information in the top rows of the EMBL file will automatically be transferred into the "Notes" field in the "Final Primer Set" tab.

Example of a sequence file in EMBL format.

The information that is transferred into the "Notes" field in the "Final Primer Set" tab when importing the EMBL file above.

GenBank format

Sequences in GenBank format can be imported into PyroMark Assay Design Software one at a time. The information in the top rows of the GenBank file will automatically be transferred into the "Notes" field in the "Final Primer Set" tab.

Example of a sequence file in GenBank format.

The information that is transferred into the "Notes" field in the "Final Primer Set" tab when importing the GenBank file above.


Set the target region

The target region for the assay design is automatically set by the software except for CpG assays. For SNP and AQ assays, the software sets the first variable position in the entered sequence as the target region. For SQA assays, the first unknown region, including three known nucleotides flanking each side of the unknown sequence, is set as the target region.

Note: If there are two variable positions in close proximity that are to be analyzed in the same Pyrosequencing reaction, the target region needs to cover both positions. Otherwise, the sequence to analyze (generated by the software) might exclude the second variable position. Sequencing primers generated by the software will never overlap any part of the selected target region.

To set the target region in the "Variable Positions" area:

  1. Skip between variable positions by clicking the arrows at the bottom of the area. The variable position is marked in the "Graphic View" tab, in the "Sequence Editor" or "Converted Sequence" tab, and in the assay overview area.

  2. Once the desired variable position has been selected, click the [image] button to set it as the target region.

To set the target region in the "Graphic View", "Sequence Editor", or "Converted Sequence" tab:

  1. Select the variable position(s) and the desired sequence length before and after. If analyzing an unknown sequence, include 2–3 known nucleotides flanking the target region on each side. It is possible to search for a sequence motif in the sequence; see the Search for a sequence motif in the entered sequence section.

  2. Select "Assay/Target Region/Set Target Region" in the menu bar.


Set PCR primer regions

If there are two or more variable positions that should be contained within the same PCR amplicon, PCR primer regions may need to be defined. Select the PCR primer regions so that the forward PCR primer is only allowed to anneal upstream of the first variable position, and the reverse PCR primer is only allowed to anneal downstream of the last variable position.

To define PCR primer regions:

  1. Select the "Sequence Editor", "Converted Sequence", or "Graphic View" tab.

  2. Select the part of the sequence within which the forward PCR primer should be generated.

  3. Select "Assay/PCR Regions/Set Forward PCR Region" in the menu bar.

  4. Select the part of the sequence within which the reverse PCR primer should be generated.

  5. Select "Assay/PCR Regions/Set Reverse PCR Region" in the menu bar.

The PCR primer regions are indicated by bars above and below the sequence. You can toggle between viewing and hiding the PCR bars by selecting "Assay/View/PCR Regions" in the menu bar.


Name and align variable positions

Variable positions are automatically named by the software to "Position1", "Position2", and so on, or "UnknownSeq1", "UnknownSeq2", and so on.

To rename variable positions:

  1. Select the position or the sequence that you want to rename by using the arrows at the bottom of the "Variable Positions" area.

  2. Enter the desired name in the "Name" field. This is the name that will be imported into other Pyrosequencing software.

To align variable positions, select "Assay/Align Positions..." in the menu bar.


Search for a sequence motif in the entered sequence

It is possible to search for a sequence motif in the entered sequence using the search function.

  1. Select "Edit/Find". The find area is displayed at the bottom of the assay window.

  2. Enter the sequence motif to search for in the "Find What" field.

  3. Select the search direction from the "Search Direction" drop-down list. There are four different search directions to choose from:

    • "Forward Sequence" — search for a motif from left to right on the entered sequence

    • "Reverse Sequence" — search for a motif from right to left on the entered sequence

    • "Forward Complementary Sequence" — search for a motif from left to right on the complementary strand

    • "Reverse Complementary Sequence" — search for a motif from right to left on the complementary strand

  4. Click the "Next" button to find the next occurrence of the motif. If found, it is selected in the "(Original) Sequence Editor", "Converted Sequence", and "Graphic View" tabs, and in the assay overview area. Click the "Previous" button to search for the former occurrence of the motif.

  5. Click the "X" button to close the find area.


Run Automatic Assay Design

Run an automatic assay design to generate primer sets that fulfill the specific requirements of Pyrosequencing analysis. You can either run an automatic assay design on the current assay or on all open assays. For more information, see the Run an automatic assay design and Run an automatic batch assay design sections.

Primers that are automatically generated by the software are always within the parameters defined in the assay design settings. If the software fails to generate acceptable primer sets using the assay design settings, the results may be improved by changing these settings; see the Change assay design settings section.


Run an automatic assay design

To run an assay design for the current assay, click [image]. The analysis steps and primer scoring are automatically adjusted to the assay type (SNP, AQ, SQA, or CpG). While the software is analyzing, a progress bar is shown in the lower left corner and the button displays two rotating arrows ( [image]). To stop the ongoing assay design, click [image].

When assay design is completed, the resulting primer sets are displayed in the "Primer Set" area. View the results and select a final primer set, see the View Results and Select a Final Primer Set section.


Run an automatic batch assay design

When running a batch assay design, all open assays are analyzed with their respective settings. Successfully analyzed assays are automatically saved as XML files in a folder of choice together with a text report of the best primer set per assay. If it is not possible to successfully perform assay design on an assay, the file will remain open in PyroMark Assay Design Software for evaluation and further analysis.

To select the output directory for the assay files and text reports:

  1. Select "Assay/Setup Batch Assay Design" in the menu bar. The "Browse For Folder" dialog box opens.

  2. Select the desired folder and press "OK".

To run assay design for all open assays:

  1. Select "Assay/Run Batch Assay Design". Analysis starts and the "Batch Design Progress" dialog box opens. Analysis can be stopped at any time by clicking [image].

Note: During batch design, the software is locked and cannot be accessed again until all open assays have been analyzed (or until the batch design has been stopped).

  2. When the batch design is completed, the output field of the "Batch Design Progress" dialog box shows a short report with the best primer set generated per assay, and if an assay design fails, the reason for failure. To save this report to the output folder, click [image].

  3. Close the "Batch Design Progress" dialog box.


Change assay design settings

The factory settings have been set to give you optimal assays for Pyrosequencing analysis. If the software fails to generate acceptable primer sets using the factory settings, the results may be improved by changing these settings.

To change the assay design settings for the current assay and reanalyze it:

  1. Click [image] in the assay window. The "Current Assay Settings" dialog box opens.

  2. Enter the desired assay design settings. To view a description of the available parameters and buttons, see the Assay design parameters section.

  3. To save the changes, click "OK". The selected settings will only be used for the assay in which the [image] button was clicked.

  4. Click [image] to analyze the assay and generate primer sets based on the new settings. The generated primer sets will be listed in the "Primer Set" area.

  5. View the results and select a final primer set, see the View Results and Select a Final Primer Set section, or try to adjust the assay settings in a different way.

To change the default assay design settings:

  1. Select "File/Default Settings..." in the menu bar. The "Default Assay Settings" dialog box opens.

  2. Enter the desired default settings. To view a description of the available parameters, see the Assay design parameters section.

  3. Click the "Set As Default" button.

  4. Select whether the new settings should be applied to all open assays and/or all future assays in the dialog box that opens. If you choose to apply the settings to all open assays, whether the settings should be applied to assays that have analysis results (the results will be deleted and the assays have to be reanalyzed).


View Results and Select a Final Primer Set

The primer sets generated by the software are listed in the "Primer Set" area. Every primer set has been assigned a score and quality, which reflects its suitability for Pyrosequencing analysis. By default, the primer sets are sorted by primer set score (0–100, where 100 is the best score) so that the best primer set ends up at the top of the list. The primer set list can be sorted in other ways; see the Sort the primer set list section. The best 100 primer sets are shown by default. This value can be changed; see the Change assay design settings section.

A gray box surrounding the primer set and the [image] indicate that the primer set is selected as the final set.

By default, the primer set with the highest score is selected as the final primer set by the software. For a primer set with high quality (a blue left column), none of the performed analysis steps have identified any problems or concerns. Thus, the primer set can be used directly without further checks or analyses. For a primer set with a lower quality, however, we recommend reviewing the primer set. For more information, see the Review a primer set section.

To select another primer set as the final set, select the primer set and click the [image] button. The final primer set is displayed in the "Final Primer Set" tab, where it is possible to change the IDs of the primers (F1, R1, and S1 in the image above), edit the creator of the assay, and add notes about the assay.


Scoring and quality

The color of the left column indicates the quality of the primer set. In the example above the quality is high for primer set #4 and medium for primer set #5.

Color | Score | Quality
Blue | ≥ 88 | High quality.
Yellow | 60–87 | Medium quality.
Orange | 40–59 | Low quality.
Red | 0–39 | Poor quality.

High quality

For a primer set with high quality, none of the analysis steps performed have identified any problems or concerns. The software algorithms are very stringent in their analyses and a high-score primer set can therefore be used directly without further manual checks or analyses.

Medium, low, or poor quality

For a primer set with medium or low quality, one or several of the analysis steps have identified problems that may cause concern. The software algorithms are very stringent, and most medium-score assays can be expected to work very well, whereas assays with a low score only should be used after very careful consideration. For a primer set with poor quality the software has identified a severe problem.

Two primer sets with similar scores are, in general, of equal quality. However, if one of them has several small penalties and the other one a single severe structure, the primer set with the small penalties is probably the better choice.

A potentially severe structure in an analysis step is indicated by a penalty >50, which will generate a warning that is visible in the "Graphic View" tab. The higher the penalty, the greater the risk of problems. If an individual analysis step is given a penalty = 100, the problem is considered serious enough to set the whole primer set score to 0. Penalties lower than 50 are in general nothing to be concerned about.


Sort the primer set list

In addition to sorting the primer set list by primer set score, it is possible to sort it by PCR score, sequencing primer score, sequencing primer position, and primer set ID.

To sort the primer set list:

  1. Select the desired sorting option from the drop-down list in the "Primer Set" area.

  2. To only display unique sequencing primers, check the "Unique Seq. Primers" box. Only the best primer set generated for each sequencing primer will be displayed in the list. This mode of display may be useful when designing multiplex assays.


Review a primer set

The primer set with the highest score is automatically selected as the final primer set. Primer sets with high quality (a blue left column) can be used directly without further checks or analyses. For a primer set with a lower quality, however, we recommend reviewing the primer set. For more information about score and quality, see the Scoring and quality section.

To view information about a primer set:

  1. Select the desired primer set in the "Primer Set" area. The following information is displayed in the assay overview area and in the "Graphic View" tab:

    • In the "Graphic View" tab, the primers are displayed together with the DNA sequence, as well as graphs of the melting temperature and Gibbs free energy. The biotinylated PCR primer is marked with a ring at the 5' end ( [image] or [image]). Any warnings generated for the primers are indicated by a warning triangle next to the primer.

      In the information area (below the sequence in the "Graphic View" tab), general information about the primers in the selected primer set (e.g., primer sequence, length, warnings, and sequence to analyze) can be viewed. If any of the analysis steps identified a problem or potential concern, a warning triangle and an associated warning message will be displayed in the information area. Use this as a quick indication of which analysis steps you need to check in the detailed report.

    • The assay overview area, at the top right corner of the software, gives an overview of the entire sequence with symbols for variable positions (IUPAC codes or "?"), target regions (" [image] "), primers ( [image] = forward PCR primer, [image] or [image] = sequencing primer, and [image] = reverse PCR primer), and mispriming sites (gray primer arrows). Also use this area to quickly navigate to a specific part of the sequence in the "Graphic View" tab. A red square indicates which part of the sequence is currently displayed in the "Graphic View" tab.

Note: A warning is only issued for potentially serious problems, where the generated penalty is above 50.

  2. To view more detailed information about the highlighted primer set (e.g., the different analyses performed on each primer and primer combinations), see the View, print, and save an assay report section.


View, print, and save an assay report

The assay report provides detailed information about the selected primer set (e.g., the different analyses performed on each primer and primer combinations). For a description of the analysis steps, see the Analysis steps section.

To open, print, and/or save the report:

  1. To open a report, select the desired primer set in the "Primer Set" area and select "Assay/View Report..." in the menu bar. The "Report" window opens displaying detailed information about the primer set. There are two report formats to choose from in the left part of the "Report" window; see Report formats below.

Tip: It is also possible to open a report by double-clicking the primer set.

  2. To print the report:

    1. Select the desired report format in the left part of the "Report" window.

    2. To preview the printout, click [image] in the "Report" window. The "Print Preview" dialog box opens.

    3. To print the report, click [image] in the "Report" window or click [image] in the "Print Preview" dialog box. The "Print" dialog box opens.

    4. Select printer to be used and click the "Print" button.

  3. To save the report as a text or HTML file:

    1. Select the desired report format in the left part of the "Report" window.

    2. Click [image]. The "Save Webpage" dialog box opens.

    3. Locate the folder in which to save the report.

    4. Enter the name of the file and select the file format.

    5. Click the "Save" button.

Report formats

There are two report formats available:

  • Complete Results
    The report provides detailed information about the assay, and the selected primer set in particular. It presents details of the analysis steps that have been performed and any penalties and/or warnings that were generated during the design. The report is available in two file formats: text and HTML.

  • Summary
    The summary provides information about primer sequences and biotinylation, in a format that is suitable for ordering oligonucleotides. The report is available in two file formats: text and HTML.


Select the final primer set

The primer set with the highest score is automatically selected as the final primer set. To select another primer set as the final set, select the primer set and click the [image] button.

The final primer set is displayed in the "Final Primer Set" tab, where it is possible to change the IDs of the primers, edit the creator of the assay, and add notes about the assay.


Manually Modify the Primer Set List

Primer sets can be edited and added manually (e.g., copy a primer set from another assay). It can be useful to edit the PCR primers and the sequencing primer when for example generating an assay with a universal PCR primer tail, or when adding nucleotides to the 5' end of a PCR primer to avoid a template loop.

An edited primer is automatically reanalyzed to generate a new primer set score, and a manually added primer set is automatically analyzed to obtain a score and quality ranking. For more information, see the Edit a primer set and Manually enter a primer set sections.

It is also possible to lock one or two of the primers in a primer set and rerun the analysis to generate different candidates complementing the locked primer(s); see the Lock one or two primers and reanalyze section.


Edit a primer set

It can be useful to edit the PCR primers and the sequencing primer when, for example, generating an assay with a universal PCR primer tail, or when adding nucleotides to the 5' end of a PCR primer to avoid a template loop. Edited primers are automatically reanalyzed to obtain a new primer set score.

To edit the primers:

  1. If the primers you want to edit are locked, click the [image] buttons in the "Primer Set" area to unlock them. ( [image] = locked primer and [image] = unlocked primer.)

  2. To drag a primer along the sequence or change its length:

    1. Select the "Graphic View" tab.

    2. To drag a primer along the sequence, click and hold down the left mouse button while moving the primer to the desired position using the mouse.

    3. To change the length of a primer, position the mouse pointer at the end of the primer (so that the pointer icon changes to [image]), and then press and hold down the left mouse button while moving the mouse to the left or the right.

The sequence of the primer, displayed in the "Primer Set" area, is automatically adjusted to the DNA sequence to which it anneals. A new, recalculated score and quality color are displayed at the top right corner of the "Primer Set" area.

  3. To add or remove nucleotides in a primer sequence, enter or delete them in the primer field in the "Primer Set" area. Only A, C, G, or T can be added to the primer sequence. A new, recalculated score and quality color are displayed at the top right corner of the "Primer Set" area as soon as you leave the primer field.

Note: PCR primers with universal tails, or primers with non-specific tails to avoid template loop formation, can be created in this way. For more information, see the Tips for universal biotinylated PCR primers section.

  4. When satisfied with the results, click [image] in the "Primer Set" area to add the edited primer set to the list. The primer set will receive a unique primer set ID. (To delete a primer set, right-click it and select "Delete Primer Set".)

An asterisk indicates that the primer set has been manually added to the list.


Manually enter a primer set

It is possible to enter a complete primer set manually. When all the primers have been entered, the primer set is automatically analyzed by the software, resulting in a score and quality ranking.

  1. Click [image]. The fields at the top of the "Primer Set" area are cleared to allow entry of new primer sequences.

  2. Click [image] in the "Primer Set" area. The following primer set options appear:

Biotinylation not defined.

Biotinylation of forward PCR primer (reverse assay).

Biotinylation of reverse PCR primer (forward assay).

  3. Select the desired primer set combination.

  4. Enter the primer sequences:

  1. If you want to type or paste a primer sequence, enter or paste it into the corresponding primer field at the top of the "Primer Set" area.

As soon as you leave a primer entry field, the software automatically places the primer at its annealing site in the DNA sequence in the "Graphic View" tab. Check that this is the correct annealing site.

  2. If you want to select where a primer anneals to the DNA sequence, select the sequence in the "Graphic View" tab (or in the "Sequence Editor" or the "Converted Sequence" tab) and select one of the following options in the menu bar:

      • "Assay/Set As PCR Primer/Biotinylated" if it is a PCR primer that should be biotinylated.

      • "Assay/Set As PCR Primer/Not Biotinylated" if it is a PCR primer that should not be biotinylated.

      • "Assay/Set As Sequencing Primer" if it is a sequencing primer.

Tip: To search for a primer sequence; see the Search for a sequence motif in the entered sequence section.

    3. If you want to copy a primer set from another assay, right-click the primer set that you want to copy and select "Copy Primer Set". Position the marker in the field for the forward PCR primer, right-click, and select "Paste".

  5. When all primers are entered, a score for the primer set will automatically be generated as soon as you leave the primer entry fields. When satisfied with the results, click [image] in the "Primer Set" area to save the primer set to the list. The primer set will receive a unique primer set ID and an asterisk below the primer ID indicates that it is a manually entered primer set. (To delete a primer set, right-click it and select "Delete Primer Set".)

An asterisk indicates that the primer set has been manually added to the list.


Lock one or two primers and reanalyze

It is possible to lock one or two of the primers in a primer set and rerun the analysis to generate primers that complement the locked primer(s).

Examples:

  • Select a certain sequencing primer and then generate a list of primer sets with PCR primers matching the sequencing primer.

  • Select a certain forward PCR primer and generate a list of primer sets with a matching reverse PCR primer and sequencing primer.

To lock one or two primers and generate matching primers:

  1. In the "Primer Set" area, click the [image] buttons to the right of the primers that you want to lock. ( [image] = locked primer.)

  2. Click [image] in the assay window to reanalyze the assay. The generated primer sets are listed in the "Primer Set" area.


Hints and Tips

  • Tips for analyzing InDels in homopolymeric stretches

  • Tips for designing assays with long InDels

  • Tips for designing successful CpG assays

  • Tips for succeeding with difficult assays

  • Tips for universal biotinylated PCR primers

  • Tips for using the Gibbs free energy (DG) graph


Tips for analyzing InDels in homopolymeric stretches

If the polymorphic nucleotide(s) of an InDel can form a homopolymer with adjacent nucleotides (i.e., three or more of the same nucleotide in a row), then a sequencing primer should be selected that overlaps the homopolymeric nucleotides. Enter two different notations for forward and reverse assays; see the example below.

Example

Allele 1: TTTTT (insertion)

Allele 2: TTT (deletion)

Forward assay: Enter sequence as TTT[TT].

Reverse assay: Enter sequence as [TT]TTT.

Select [TT] as the target region and generate only forward sequencing primers (click [image], select "Sequencing Primer", and uncheck the "Generate Reverse Primers" box and check the "Generate Forward Primers" box).


Tips for designing assays with long InDels

When setting up assays with long InDels (>5 bases), change the “Min Distance From Target” to 5 nt and “Max Distance From Target” to 8 nt; see the Change assay design settings section.


Tips for designing successful CpG assays

When designing CpG assays, a forward sequencing primer is in most cases to be preferred over a reverse sequencing primer. To generate only forward sequencing primers, click [image], select "Sequencing Primer", and uncheck the "Generate Reverse Primers" box and check the "Generate Forward Primers" box.


Tips for succeeding with difficult assays

The software performs a number of analyses to differentiate between primer set candidates and thereby identifies the best possible assay to use. However, for some assays it may be difficult to find an assay without flaws. It is then often possible to work around, or resolve, the detected, potential problem by using one of the tips below.

Issue | Tips
Non-specific PCR amplification. | Perform a homology search of the DNA sequence.
Template loop formation (self-priming). | Enter a random, extra nucleotide to the 5' end of the non-biotinylated PCR primer in the "Primer Set" area.
Hairpin loops, 3'-end duplexes, or misprimings that cannot be avoided. | Check which nucleotides will be incorporated to determine if the generated background signal will affect the target region to be analyzed. Also check if the dispensation order can be modified to avoid the background signal from showing up in the variable positions. Only useful for short SNP analysis.
Sequencing primer hairpin loops or 3'-end duplexes that cannot be avoided. | Add an extra wash step to the sample preparation to remove background signal. After annealing, transfer the beads to a new plate (used for Pyrosequencing) containing fresh 1x Annealing Buffer (QIAGEN), leaving excess sequencing primer behind.


Tips for universal biotinylated PCR primers

It is possible to design and analyze PCR primers with a universal tail for use with a universal biotinylated PCR primer. This allows the use of the same biotinylated primer in different PCR reactions and assays.

To design PCR primers with a universal primer tail:

  1. Generate primer sets according to the description in the Run Automatic Assay Design section (or enter a previously designed primer set).

  2. Select a primer set in the "Primer Set" area.

  3. Add a certain number of additional nucleotides at the 5' end of the biotinylated PCR primer, which make up the universal tail. This can be done either by copy and paste or by typing in the appropriate sequence into the biotinylated primer field at the top of the "Primer Set" area. A ring on the PCR primer arrow indicates that the primer is biotinylated ( [image] or [image]).

  4. As soon as you leave the primer entry field, the score and quality are automatically updated and displayed at the top right corner of the "Primer Set" area. The primer with its associated tail is displayed in the "Graphic View" tab.

Note: A primer set with a universal tail can be expected to receive low score and quality as the tailed primer may receive a substantial penalty for having a high Tm value as well as for having low complementarity to the DNA template sequence. This is a natural consequence of addition of a long tail, and does not mean that the primer is unsuitable for Pyrosequencing analysis. The score and quality values should therefore be ignored in this case, since they are based on partially irrelevant analyses. Instead, it is important to check if any serious new misprimings, PCR duplexes, or template loops have been formed and detected.


Tips for using the Gibbs free energy graph

Tips for using the Gibbs free energy (DG) graph

The Gibbs free energy is used to determine a primer's priming specificity. The DG values indicate how specific the primer is and how efficiently it will anneal to its intended target. A primer with a stable 5' end (i.e., a low DG value) and a relatively unstable 3' end (i.e., a high DG value) typically performs best as it is both stable and specific and thereby will rarely misprime. A primer with low stability at its 3' end will function well in a PCR as the base pairing close to the 3' end with non-target sites is not sufficiently stable to initiate extension (false priming). Conversely, primers with a stable 3' terminus do not need to anneal with the target along their entire length to prime efficiently. This may result in non-specific products (false priming).

PyroMark Assay Design Software assesses the relative stability of the PCR primers in the "Primer End Stability" analysis using the following software settings:

  • Optimal DG difference: 2.0

  • Maximum DG at 5' end: –8.0

  • Maximum DG at 3' end: –5.0

  • Minimum DG at 3' end: –11.0

In addition, the DG graph in the "Graphic View" tab can be used to visualize the DG distribution in the different primers. Here, each data point represents the stability of a nucleotide pentamer. The data points correspond to the Gibbs free energy of the nucleotide in that position and the four nucleotides immediately downstream in the sequence.


Troubleshooting Guide

This troubleshooting guide may be helpful in solving any problems that may arise. For more information, see also the Frequently Asked Questions page at our Technical Support Center: www.qiagen.com/FAQ/FAQList.aspx. The scientists in QIAGEN Technical Services are always happy to answer any questions you may have about either the information and protocols in this online help or sample and assay technologies (for contact information, visit www.qiagen.com).

Problem | Possible cause | Solution
Generated primers are not shown in (or disappear from) the sequence graph in the "Graphic View" tab. | Inadvertent use of the [image] , [image] , and [image] buttons in the sequence graph. | Click the appropriate button to the left of the sequence graph ( [image] , [image] , and/or [image] ) to show the primers that are hidden.
Primers are positioned incorrectly in the sequence graph in the "Graphic View" tab. | If the contents of an entry field in the "Primer Set" area are changed by deleting the primer sequence and then typing or pasting a new sequence into the field, the software considers this as an edited primer. Thus, it does not reposition the primer in the "Graphic View" tab. | Enter a new primer set by clicking [image] (the primer entry fields are cleared) before typing or pasting the new primer sequence.
The same PCR primer mispriming or template loop is shown twice in the report. | If the sequence has multiple variable positions, each haplotype is analyzed separately. In other words, if a PCR primer misprimes over an SNP, the mispriming to both alleles will be shown in the report, thereby seemingly showing the same mispriming twice. | No action is needed.
No PCR primers can be generated. | The entered sequence may be too short to allow positioning of suitable PCR primers or there are too many variable positions in the entered sequence. | Enter a longer sequence and ensure that the target is flanked by a sufficiently long sequence stretch. Recommended length is 200 nt on each side of the target.
Import into some Pyrosequencing software fails as an entry with the same name already exists in the database. | Changing the name of the assay design file in Windows Explorer will not solve the problem. The entry name is stored inside the file. | Open the assay design file in PyroMark Assay Design Software. Select "File/Save As..." and save the assay with a new name.


PCR Protocol Examples

For PCR protocol examples, please refer to the HotStarTaq® PCR Handbook and HotStarTaq Plus PCR Handbook available at www.qiagen.com/literature.


Product Use Limitations

Use PyroMark Assay Design Software only with Pyrosequencing instruments supplied by QIAGEN.

PyroMark Assay Design Software is intended for molecular biology applications. The product is neither intended for the diagnosis, prevention, or treatment of a disease, nor has it been validated for such use either alone or in combination with other products. Therefore, the performance characteristics of the product for clinical use (i.e., diagnostic, prognostic, therapeutic, of blood banking) are unknown.


Technical Assistance

At QIAGEN, we pride ourselves on the quality and availability of our technical support. Our Technical Service Departments are staffed by experienced scientists with extensive practical and theoretical expertise in sample and assay technologies and the use of QIAGEN products. If you have any questions or experience any difficulties regarding PyroMark Assay Design Software or QIAGEN products in general, please do not hesitate to contact us.

QIAGEN customers are a major source of information regarding advanced or specialized uses of our products. This information is helpful to other scientists as well as to the researchers at QIAGEN. We therefore encourage you to contact us if you have any suggestions about product performance or new applications and techniques.

For technical assistance and more information, please see our Technical Support Center at www.qiagen.com/Support or call one of the QIAGEN Technical Service Departments or local distributors (visit www.qiagen.com).


Glossary

Term | Description
Assay | Defines the information required to perform PCR amplification and Pyrosequencing analysis on a sample. The unique feature of an assay is the target region, which includes the variable position(s) of interest. An assay generated by PyroMark Assay Design Software includes information about suitable PCR primers, sequencing primers, and corresponding sequences to analyze.
Batch assay design | Sequential assay design for several DNA sequences.
Biotin | A molecule that can bind very strongly to streptavidin. PCR primers can be biotinylated to enable the resulting PCR product to bind to streptavidin-coated beads.
Bisulfite treatment control | Pyrosequencing assays can contain an internal control to assess successful bisulfite treatment. C bases that are not followed by G in the sequence are normally not methylated, and should therefore be fully converted to T after bisulfite treatment and PCR. Converted C nucleotides are displayed as orange bases. These sites are possible positions for bisulfite treatment controls that can be added after the assay has been imported into other Pyrosequencing software.
Dispensation order | Defines the nucleotides and the order in which they should be dispensed in Pyrosequencing runs.
Duplex | A double-stranded nucleic acid, formed, for example, by two primers that anneal to each other.
Forward assay | The target region is sequenced in forward direction, generating the entered sequence. For forward Pyrosequencing assays, the reverse PCR primer should be biotinylated.
Hairpin loop | A self-annealing nucleic acid strand, forming stable hydrogen bonds with itself. The hydrogen-bonded region is referred to as a stem and the single-stranded region is referred to as a loop.
Homopolymer | A stretch of identical bases in DNA. In Pyrosequencing technology, a stretch of more than two identical bases is regarded as a homopolymer.
Melting temperature | Defines the temperature at which 50% of the primer is annealed to the template, and 50% is free in the solution. The melting temperature (Tm) depends on the primer sequence (GC-rich primers have higher melting temperatures), primer length, concentration, and chemical properties of the buffer solution. There are different ways to calculate the melting temperature. In PyroMark Assay Design Software, the "Nearest Neighbor" algorithm is the default method used for all assay types except for CpG, which uses the "NN Mismatch" algorithm. For more information, see the Melting temperature section.
PCR region | The forward PCR region is the region in the DNA sequence within which the forward PCR primer will be positioned. The reverse PCR region is the region in the DNA sequence within which the reverse PCR primer will be positioned.
Primer set | A primer set for Pyrosequencing includes a PCR primer pair and a sequencing primer.
Pyrogram | The graph resulting from a sequencing reaction performed using Pyrosequencing technology. Incorporated nucleotides are shown as peaks in Pyrogram.
Reference peaks | Non-variable peaks (i.e., peaks that are not a part of a variable position) are referred to as "reference peaks". Reference peaks are used as internal controls in sequencing reactions in Pyrosequencing technology.
Reverse assay | The target region is sequenced in the reverse direction, generating the complementary strand to the entered DNA sequence. The forward PCR primer should be biotinylated for reverse Pyrosequencing assays.
Secondary structures | Structures formed by single-stranded DNA, such as hairpin loops. Often seen in GC-rich or repetitive stretches of the DNA. Secondary structures may be difficult for polymerases to read through.
Self-priming | Occurs when a part of the DNA sequence at the 3' end is complementary to another part of the DNA sequence and the strand binds to itself and acts as a primer. In Pyrosequencing reactions, self-priming may result in an overlaid sequence, making Pyrogram difficult to interpret.
Sequence to analyze | A short part of a DNA sequence (in your sample), starting directly after the sequencing primer, which includes one or several variable positions to be analyzed using Pyrosequencing instruments.
Target region | Defines the region to be analyzed by Pyrosequencing. Primers generated by PyroMark Assay Design Software will always be placed outside the defined target region.
Variable position | A region where the sequence varies at one or more bases or where the sequence is unknown.